QGIS 2.10 attribute table sorting introduces NULL values

2015-07-23 04:41 AM - Tim Gould

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.10.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21210

Description

Hi QGIS. There are no Null values entered for field1 or field2 (Spatialite layer). Sorting on field1 in the attribute table produces a set of

Null values for field1, then sorting on field2 removes the Null values from field1 but introduces them to field2. This behaviour is not

happening for QGIS 2.8. Thanks.

Ubuntu 14.04 LTS

QGIS version 2.10.1-Pisa

QGIS code revision exported

Compiled against Qt 4.8.6

Running against Qt 4.8.6

Compiled against GDAL/OGR 1.10.1

Running against GDAL/OGR 1.10.1

Compiled against GEOS 3.4.2-CAPI-1.8.2

Running against GEOS 3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version 9.3.4

SpatiaLite Version 4.1.1

QWT Version 5.2.3

PROJ.4 Version 480

QScintilla2 Version 2.8.1

History

#1 - 2015-07-30 02:56 PM - Giovanni Manghi

- Target version changed from Version 2.10 to Future Release - High Priority

- Status changed from Open to Feedback

- Priority changed from Normal to Severe/Regression

Could you please attach sample data? Thanks.

#2 - 2015-08-06 04:51 AM - Tim Gould

Thanks for picking this up Giovanni. I'll post the data as soon as I'm able to. Thanks, Tim

#3 - 2015-09-21 06:04 PM - Giuseppe Sucameli

I'm wondering if the layer you load in QGIS is a view.
#4 - 2015-10-05 03:38 AM - Jürgen Fischer

- Resolution set to not reproducable

- Status changed from Feedback to Closed

- Priority changed from Severe/Regression to Normal

closing for the lack of feedback
